Bug 734567 - Catalog needs to support user friendly URLs
Summary: Catalog needs to support user friendly URLs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Pengfei Xue
QA Contact:
URL: http://hardware.redhat.com
Whiteboard:
Depends On: 480275
Blocks: 722941
TreeView+ depends on / blocked
 
Reported: 2011-08-30 18:49 UTC by Rob Landry
Modified: 2012-02-08 22:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-08 22:30:38 UTC


Attachments (Terms of Use)

Description Rob Landry 2011-08-30 18:49:42 UTC
Description of problem:

Currently the catalog responds to URLs that are id={value} or searchField[1..n]={value[1..n]} and other computer query formated URLs this while functional isn't particularly friendly.

The catalog should also support a few human friendly variations of URL:

hardware.redhat.com/[rhelX|RHELX]

hardware.redhat.com/[rhemrg|RHEMRG|mrg|MRG]

hardware.redhat.com/[vendor|variations]

hardware.redhat.com/[vendor|variations]/[make|variations]

Variations should be a best guess match.

Supporting combinations of RH and vendor information (eg. hardware.redhat.com/rhel6/dell) is not required at this time but should be expected as a follow-on feature.

Also supporting determining make and model (eg. hardware.redhat.com/poweredge or hardware.redhat.com/dl585) are not required at this time but again will be a follow-on feature.


Expected results:

hardware.redhat.com/rhel6 should respond the same as:

https://hardware.redhat.com/list.cgi?version=6

hardware.redhat.com/{vendor} should respond the same as:

vendor=vendor+version=6,5 sorted by version then make/model.

Comment 6 Pengfei Xue 2011-10-13 05:51:14 UTC
Created attachment 527837 [details]
patch for friendly url

Comment 7 Pengfei Xue 2011-10-13 05:53:59 UTC
Created attachment 527839 [details]
.htaccess file used to rewrite url

use apache's urlrewrite module to rewrite url

Comment 8 Pengfei Xue 2011-10-18 03:11:23 UTC
Created attachment 528687 [details]
new htaccess file

support ending slash, and vendor's name includes digits

Comment 9 Rob Landry 2011-10-19 20:20:10 UTC
Will this last update break the current cert id support?  That is...

hardware.redhat.com/12345 goes to hardware.redhat.com/show.cgi?id=12345

Comment 10 Pengfei Xue 2011-10-20 08:21:05 UTC
(In reply to comment #9)
> Will this last update break the current cert id support?  That is...
> 
> hardware.redhat.com/12345 goes to hardware.redhat.com/show.cgi?id=12345

no, it won't hurt our exist cert id support, because Apache urlrewrite module will first process urlrewrite rules in VirtualHost context, that is rewrite our hardware.redhat.com/123 to hardware.redhat.com/show.cgi?id=12345, and there is a flag L, this means it is the last rule if the rule's condition has been met, and will not process .htaccess in per directory level.

Comment 11 Rob Landry 2011-10-21 18:57:49 UTC
Are changes needed in the apache configs to support htaccess?

Comment 16 Rob Landry 2012-02-08 22:30:38 UTC
Closing as this work with 3a.


Note You need to log in before you can comment on or make changes to this bug.